/////////////////////////////////////////////////////////////////
//  _      __          __                            ____      //
// | | /| / /__ ___ __/ /  ___ _____  _______  ___  / _(_)__ _ //
// | |/ |/ / _ `/ // / _ \/ _ `/ __/ / __/ _ \/ _ \/ _/ / _ `/ //
// |__/|__/\_,_/\_, /_.__/\_,_/_/    \__/\___/_//_/_//_/\_, /  //
//             /___/                                   /___/   //
/////////////////////////////////////////////////////////////////



//Global panel settings.
{
	"layer": "top",
	// "output": [],
	"position": "bottom",
	// "max-height": 30,
	// "width": 1000,
	// "margin": "",
	"margin-top": 0,
	"margin-bottom": 0,
	"margin-left": 0,
	"margin-right": 0,
	"spacing": 0,
	"gtk-layer-shell": true,
	//"border-radius": 16,



//Modules placement.

//Left panel part.
"modules-left": [
	"clock",
	"custom/separator",
	"hyprland/language",
	"custom/separator",
	"battery#bat2",
	"battery",
	],

//Center panel part.
"modules-center": [
	"hyprland/workspaces",
	],

//Right panel part.
"modules-right": [
	"pulseaudio#audio",
	"custom/separator",
	"temperature",
	"custom/separator",
	"custom/btc",
	"custom/btd",
	],



//Modules Configuration.

//1. Kayboard layout module.
"hyprland/language": {
	"format": "{}",
	"format-en": "US",
	"format-ru": "RU",	    
	},

//2. Date and time module.
"clock": {
	"interval": 1,
	"timezone": "Asia/Novosibirsk",
	"format": "{:%H:%M | %e %b, %a}",
	"on-click": "gnome-calendar",
	"tooltip": false,
	"tooltip-format": "{calendar}",
	"calendar": {
		"mode": "year",
	"mode-mon-col": 3,
	"format": {
		"today": "<span color='#0dbc79'>{}</span>"
		}
	}
	},

//3. Workspaces switcher module.
	"hyprland/workspaces": {
	"format": "{icon}",
	"format-icons": {
//	"1": "1",
//      "2": "2",
//      "3": "3",
//      "4": "4",
//      "5": "5",
//      "6": "6",
//      "7": "7",
//      "8": "8", 
//      "9": "9",
	
	"active":"󱓻",
	"default":"󱓻",
	"urgent":"󱓻"
	},
	"on-click": "activate",
	"tooltip": false,
	"persistent_workspaces": {
		"*": 3
		}
	},

//4. PulseAudio control module.
"pulseaudio#audio": {
	"format": "{icon} {volume}",
	"format-bluetooth": "{icon} {volume}",
	"format-bluetooth-muted": "muted",
	"format-muted": "muted",
	"format-icons": {
	"default": [
		"󰛞 󱢠 󱢠 󱢠 󱢠 ",
		"󰣐 󱢠 󱢠 󱢠 󱢠 ",
		"󰣐 󰛞 󱢠 󱢠 󱢠 ",
		"󰣐 󰣐 󱢠 󱢠 󱢠 ",
		"󰣐 󰣐 󰛞 󱢠 󱢠 ",
		"󰣐 󰣐 󰣐 󱢠 󱢠 ",
		"󰣐 󰣐 󰣐 󰛞 󱢠 ",
		"󰣐 󰣐 󰣐 󰣐 󱢠 ",
		"󰣐 󰣐 󰣐 󰣐 󰛞 ",
		"󰣐 󰣐 󰣐 󰣐 󰣐 " 
		]
	},
	"on-click": "pactl set-sink-mute @DEFAULT_SINK@ toggle",
	"on-scroll-up": "pactl set-sink-volume @DEFAULT_SINK@ +1%",
	"on-scroll-down": "pactl set-sink-volume @DEFAULT_SINK@ -1%",
	"tooltip": false,
	"tooltip-format": "{icon} {desc} {volume}%"
	},

//5. Battery 0 (internal) capacity monitoring module.
"battery": {
	"states": {
		"warning": 30,
		"critical": 10
		},
	"format": "{icon} {capacity} ",
	"format-charging": " {capacity} ",
	"format-plugged": "󰚥 {capacity} ",
	"format-icons": [
		"󰁺",
		"󰁻",
		"󰁼",
		"󰁽",
		"󰁾",
		"󰁿",
		"󰂀",
		"󰂁",
		"󰂂",
		"󰁹"
		],
	"on-click": "",
	"tooltip": false,
	"bat": "BAT0",
	"interval": 1
	},

//6. Bluetooth headphones disconnect button.
"custom/btd": {
	"format": " 󰟎",
	"tooltip": false,
	"on-click": "bluetoothctl disconnect 0C:AE:BD:DB:52:3A"
	},

//7. Bluetooth headphones connect button.
"custom/btc": {
	"format": "󰋋 ",
	"tooltip": false,
	"on-click": "bluetoothctl connect 0C:AE:BD:DB:52:3A"
	},

//8. Modules separator.
"custom/separator": {
	"format": " | ",
	"tooltip": false,
	"on-click": "wofi --show drun -I"
	},

//9. Void Linux logo/menu button.
"custom/logo": {
	"format": "  ",
	"tooltip": false,
	"on-click": "wofi --show drun -I"
	},

//10. Battery 1 (external) capacity monitoring module.
"battery#bat2": {
	"states": {
		"warning": 30,
		"critical": 15
		},
	"format": "{icon} {capacity}",
	"format-charging": " {capacity}",
	"format-plugged": "󰚥 {capacity}",
	"format-icons": [
		"󰁺",
		"󰁻",
		"󰁼",
		"󰁽",
		"󰁾",
		"󰁿",
		"󰂀",
		"󰂁",
		"󰂂",
		"󰁹"
		],
	"on-click": "",
	"tooltip": false,
	"bat": "BAT1",
	"interval": 1
	},
	
//11. Temperature monitoring module.
"temperature": {
	"format": "󰔏 {temperatureC}°C"
	},
},
